## ros-iron-tracetools-trace 6.3.1

=== debian/changelog ===
ros-iron-tracetools-trace (6.3.1-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-tracetools-trace (6.3.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-tracetools-trace (6.2.0-1jammy) jammy; urgency=high

  * Error out if trace already exists unless 'append' option is used (#58 <https://github.com/ros2/ros2_tracing/issues/58>)
  * Improve 'ros2 trace' command error handling & add end-to-end tests (#54 <https://github.com/ros2/ros2_tracing/issues/54>)
  * Make subbuffer size configurable with Trace action (#51 <https://github.com/ros2/ros2_tracing/issues/51>)
  * Contributors: Christophe Bedard, Christopher Wecht

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-tracetools-trace (6.1.0-1jammy) jammy; urgency=high

  * Add intra-process tracepoints (#30 <https://github.com/ros2/ros2_tracing/issues/30>)
  * Contributors: ymski

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-tracetools-trace (6.0.0-1jammy) jammy; urgency=high

  * Allow requiring minimum lttng package version for is_lttng_installed (#59 <https://github.com/ros2/ros2_tracing/issues/59>)
  * Include tracepoints by default on Linux (#31 <https://github.com/ros2/ros2_tracing/issues/31>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#50 <https://github.com/ros2/ros2_tracing/issues/50>)
  * Contributors: Christophe Bedard, Yadu

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-tracetools-trace (5.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-tracetools-trace (5.0.0-1jammy) jammy; urgency=high

  * Replace distutils.version.StrictVersion with packaging.version.Version (#42 <https://github.com/ros2/ros2_tracing/issues/42>)
  * Remove deprecated context_names parameter (#38 <https://github.com/ros2/ros2_tracing/issues/38>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-tracetools-trace (4.0.0-1jammy) jammy; urgency=high

  * Disable kernel tracing by default
  * Don't require kernel tracer and detect when it's not installed
  * Introduce constants for tracepoint names
  * Optimize default tracing session channel config values
  * Deprecate 'context_names' param and replace with 'context_fields'
  * Support per-domain context fields for the Trace action
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 19 Jan 2022 16:00:00 -0000

ros-iron-tracetools-trace (3.1.0-1jammy) jammy; urgency=high

  * Add support for rmw init/pub, take, and executor tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-tracetools-trace (2.2.0-1jammy) jammy; urgency=high

  * Add support for rcl_publish and rclcpp_publish tracepoints
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 28 Mar 2021 16:00:00 -0000

ros-iron-tracetools-trace (2.1.0-1jammy) jammy; urgency=high

  * Fix flake8 blind except error by using more concrete types
  * Allow configuring tracing directory through environment variables
  * Cleanly stop ros2trace/tracetools_trace tracing on SIGINT
  * Add instrumentation support for linking a timer to a node
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 12 Jan 2021 16:00:00 -0000

ros-iron-tracetools-trace (2.0.0-1jammy) jammy; urgency=high

  * Add lifecycle node state transition instrumentation
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 11 Oct 2020 16:00:00 -0000

ros-iron-tracetools-trace (1.0.1-1jammy) jammy; urgency=high

  * Fail gracefully when trying to trace if LTTng is not installed
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-iron-tracetools-trace (1.0.0-1jammy) jammy; urgency=high

  * Start a session daemon if there isn't one before setting up tracing
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-tracetools-trace (0.3.0-1jammy) jammy; urgency=high

  * Add more context types and refactor mapping between name and constant
  * Check version of LTTng Python module and raise error if below 2.10.7
  * Add logs for trace action init and fini
  * Expose context enabling through CLI and Trace action
  * Add kmem_mm_page_alloc|free to default kernel events
  * Remove sched_waking/sched_wakeup from the default kernel events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 03 Mar 2020 16:00:00 -0000

ros-iron-tracetools-trace (0.2.11-1jammy) jammy; urgency=high

  * Register Python packages in the ament index
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 08 Dec 2019 16:00:00 -0000

ros-iron-tracetools-trace (0.2.10-1jammy) jammy; urgency=high

  * Make printing list of enabled events more readable
  * Add new rclcpp_subscription_init tracepoint to default ROS events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sat, 16 Nov 2019 16:00:00 -0000

ros-iron-tracetools-trace (0.2.8-1jammy) jammy; urgency=high

  * Re-order args for trace command
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 13 Oct 2019 16:00:00 -0000

ros-iron-tracetools-trace (0.2.7-1jammy) jammy; urgency=high

  * Fix missing ament_xmllint dependency
  * Contributors: Christophe Bedard


